<?php
/**
 * Typography Setting
 *
 * @package property_dealer
 */

// Typography Setting
$wp_customize->add_section(
    'property_dealer_typography_setting',
    array(
        'panel' => 'property_dealer_theme_options',
        'title' => esc_html__( 'Typography Setting', 'property-dealer' ),
    )
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'property_dealer_site_description_font',
	array(
		'default'           => 'Yantramanav',
		'sanitize_callback' => 'property_dealer_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'property_dealer_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'property-dealer' ),
		'section'  => 'property_dealer_typography_setting',
		'settings' => 'property_dealer_site_description_font',
		'type'     => 'select',
		'choices'  => property_dealer_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'property_dealer_header_font',
	array(
		'default'           => 'Cormorant Garamond',
		'sanitize_callback' => 'property_dealer_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'property_dealer_header_font',
	array(
		'label'    => esc_html__( 'Heading Font Family', 'property-dealer' ),
		'section'  => 'property_dealer_typography_setting',
		'settings' => 'property_dealer_header_font',
		'type'     => 'select',
		'choices'  => property_dealer_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'property_dealer_content_font',
	array(
		'default'           => 'Yantramanav',
		'sanitize_callback' => 'property_dealer_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'property_dealer_content_font',
	array(
		'label'    => esc_html__( 'Content Font Family', 'property-dealer' ),
		'section'  => 'property_dealer_typography_setting',
		'settings' => 'property_dealer_content_font',
		'type'     => 'select',
		'choices'  => property_dealer_get_all_google_font_families(),
	)
);